Debian Bug report logs - #312660
ITP: shish -- the diet shell

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Michael Prokop <mika@grml.org>

Date: Thu, 9 Jun 2005 12:48:05 UTC

Owned by: michael prokop <mika@grml.org>

Severity: wishlist

Done: David Moreno Garza <damog@merkel.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, michael prokop <mika@grml.org>:
Bug#312660; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, michael prokop <mika@grml.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: shish -- the diet shell
Date: Thu, 09 Jun 2005 14:38:06 +0200
Package: wnpp
Severity: wishlist
Owner: Michael Prokop <mika@grml.org>


* Package name    : shish
  Version         : 0.7-pre3
  Upstream Author : Roman Senn <roman.senn@blah.ch>
* URL             : http://www.blah.ch/shish/
* License         : GPL
  Description     : the diet shell

shish is a shell language interpreter and an interactive command
line interpreter.

This shell aims at being very small and doing its tasks in
efficient ways (and not through 100 abstraction layers), which
is mainly done by using the dietlibc and libowfat libraries.

shish will be a POSIX compatible shell language interpreter
according to the IEEE P1003.2 Draft 11.2 by its 1.0 release.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael prokop <mika@grml.org>:
Bug#312660; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gerrit Pape <pape@smarden.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael prokop <mika@grml.org>. Full text and rfc822 format available.

Message #10 received at 312660@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: debian-devel@lists.debian.org, 312660@bugs.debian.org
Subject: Re: Bug#312660: ITP: shish -- the diet shell
Date: Fri, 10 Jun 2005 08:03:57 +0000
On Thu, Jun 09, 2005 at 02:38:06PM +0200, Michael Prokop wrote:
> * Package name    : shish
>   Version         : 0.7-pre3
>   Upstream Author : Roman Senn <roman.senn@blah.ch>
> * URL             : http://www.blah.ch/shish/
> * License         : GPL
>   Description     : the diet shell
> 
> shish is a shell language interpreter and an interactive command
> line interpreter.
> 
> This shell aims at being very small and doing its tasks in
> efficient ways (and not through 100 abstraction layers), which
> is mainly done by using the dietlibc and libowfat libraries.
> 
> shish will be a POSIX compatible shell language interpreter
> according to the IEEE P1003.2 Draft 11.2 by its 1.0 release.

He, here's a challenge..

$ DEB_BUILD_OPTIONS=diet fakeroot apt-get source -b dash >/dev/null 2>&1 &&
ls -l dash-0.5.2/debian/dash/bin/dash && ldd $_
-rwxr-xr-x  1 pape pape 75080 Jun 10 07:59 dash-0.5.2/debian/dash/bin/dash
        not a dynamic executable

Regards, Gerrit.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, michael prokop <mika@grml.org>:
Bug#312660; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mario Lang <mlang@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, michael prokop <mika@grml.org>. Full text and rfc822 format available.

Message #15 received at 312660@bugs.debian.org (full text, mbox):

From: Mario Lang <mlang@debian.org>
To: debian-devel@lists.debian.org
Cc: 312660@bugs.debian.org
Subject: Re: Bug#312660: ITP: shish -- the diet shell
Date: Mon, 25 Jul 2005 17:57:42 +0200
[Message part 1 (text/plain, inline)]
Gerrit Pape <pape@smarden.org> writes:

> On Thu, Jun 09, 2005 at 02:38:06PM +0200, Michael Prokop wrote:
>> * Package name    : shish
>>   Version         : 0.7-pre3
>>   Upstream Author : Roman Senn <roman.senn@blah.ch>
>> * URL             : http://www.blah.ch/shish/
>> * License         : GPL
>>   Description     : the diet shell
>> 
>> shish is a shell language interpreter and an interactive command
>> line interpreter.
>> 
>> This shell aims at being very small and doing its tasks in
>> efficient ways (and not through 100 abstraction layers), which
>> is mainly done by using the dietlibc and libowfat libraries.
>> 
>> shish will be a POSIX compatible shell language interpreter
>> according to the IEEE P1003.2 Draft 11.2 by its 1.0 release.
>
> He, here's a challenge..
>
> $ DEB_BUILD_OPTIONS=diet fakeroot apt-get source -b dash >/dev/null 2>&1 &&
> ls -l dash-0.5.2/debian/dash/bin/dash && ldd $_
> -rwxr-xr-x  1 pape pape 75080 Jun 10 07:59 dash-0.5.2/debian/dash/bin/dash
>         not a dynamic executable

-rwxr-xr-x  1 mlang mlang 74352 Jul 25 17:52 dash-0.5.2/debian/dash/bin/dash
        not a dynamic executable

gcc 4 :-)

-- 
CYa,
  Mario
[Message part 2 (application/pgp-signature, inline)]

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Prokop <mika@grml.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 312660-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 312660-done@bugs.debian.org
Subject: WNPP bug closing
Date: Tue, 01 Aug 2006 11:59:33 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 312660
thanks bts

Further comments on the work done in the bug sent to
312660@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 11:02:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:15:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.